// TILE CLASS EXTENDS PHASER.GAMEOBJECTS.SPRITE

import { GameOptions } from './gameOptions';

export class Tile extends Phaser.GameObjects.Sprite {
    
    constructor(scene : Phaser.Scene, posX : number, posY : number) {
        super(scene, posX, posY, 'ground');
        this.setOrigin(0, 0);
        scene.add.existing(this);    
    }

    updatePosition() : void {
        if (this.y < - GameOptions.hexagon.height) {
            this.y += GameOptions.hexagon.height * (GameOptions.gridSize.y * 3 / 4);
        }
    }
}